> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check User Auth

> Test that the API and auth are working.



## OpenAPI

````yaml get /api/v2/auth/check/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/auth/check/:
    get:
      tags:
        - auth
      summary: Check User Auth
      description: Test that the API and auth are working.
      operationId: api_meta_check_user_auth
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckAuthResponse'
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    CheckAuthResponse:
      properties:
        success:
          description: True if the user is authenticated.
          title: Success
          type: boolean
        email:
          description: The email of the user.
          title: Email
          type: string
        name:
          description: The name of the user.
          title: Name
          type: string
        user_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: The Zapier user ID of the user.
          title: User Id
        is_staff:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the user is a staff member.
          title: Is Staff
      required:
        - success
        - email
        - name
      title: CheckAuthResponse
      type: object
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````